using PARR.Core.Repositories.Interfaces.Unit;
using PARR.DAL.Context;
using PARR.Domain.Entities.Unit;

namespace PARR.DAL.Repositories.Unit
{
    internal class UnitKiiUnitRepository : IUnitKiiUnitRepository
    {
        private readonly DataContext dataContext;

        public UnitKiiUnitRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<UnitKiiUnit> Get()
        {
            return dataContext.UnitKiiUnits;
        }
    }
}
